com.jscape.inet.gateway.operation.key

## Class CertificateGenerationData

- java.lang.Object
- - com.jscape.inet.gateway.operation.key.CertificateGenerationData

-     public class CertificateGenerationData
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `commonName`
    `java.lang.String` | `country`
    `java.lang.String` | `locality`
    `java.lang.String` | `organization`
    `java.lang.String` | `organizationUnit`
    `java.lang.String` | `state`
    `java.lang.String` | `subjectAlternativeName`
    `long` | `validityPeriodMillis`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateGenerationData()`
    `CertificateGenerationData(long validityPeriodMillis, java.lang.String commonName, java.lang.String organizationUnit, java.lang.String organization, java.lang.String locality, java.lang.String state, java.lang.String country, java.lang.String subjectAlternativeName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### validityPeriodMillis

          public long validityPeriodMillis

    - #### commonName

          public java.lang.String commonName

    - #### organizationUnit

          public java.lang.String organizationUnit

    - #### organization

          public java.lang.String organization

    - #### locality

          public java.lang.String locality

    - #### state

          public java.lang.String state

    - #### country

          public java.lang.String country

    - #### subjectAlternativeName

          public java.lang.String subjectAlternativeName

  - ### Constructor Detail

    - #### CertificateGenerationData

          public CertificateGenerationData(long validityPeriodMillis,
                                           java.lang.String commonName,
                                           java.lang.String organizationUnit,
                                           java.lang.String organization,
                                           java.lang.String locality,
                                           java.lang.String state,
                                           java.lang.String country,
                                           java.lang.String subjectAlternativeName)

    - #### CertificateGenerationData

          public CertificateGenerationData()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved